<?php

// stagi_bookmark_menu: a customizable menu for thematic: http://www.matteostagi.it/a-customizable-menu-for-thematic-for-wordpress/ 

function stagi_bookmark_menu($menu) {
	$menu = false;
	$page_uri = str_replace("/", "", $_SERVER['REQUEST_URI']);
	$class = "page_item";
	$totalbookmarksnumber = count(get_bookmarks());
 
	$bookmarks = get_bookmarks(array('category_name' => 'menuLink', 'orderby' => 'rating'));
 
	$menu = '<div class="menu"><ul>';
	foreach($bookmarks as $bookmark) :
 
		$class = " ".strtolower(str_replace(" ","-",$bookmark->link_name));
 
		$menu .= '<li class="' . $class . '"><a href="' . $bookmark->link_url . '" title="' . $bookmark->link_description . '" rel="' . $bookmark->link_rel . '">' . $bookmark->link_name . '</a>';
		$subbookmarks = get_bookmarks(array('category_name' => $bookmark->link_name, 'orderby' => 'rating'));
 
		if (count($subbookmarks)==$totalbookmarksnumber) {
        $menu .='</li>';
		} else {
        $menu .='<ul>';
		foreach($subbookmarks as $subbookmark) :
			$subclass = " ".strtolower(str_replace(" ","-",$subbookmark->link_name));
			$menu .= '<li class="' . $subclass . '"><a href="' . $subbookmark->link_url . '" title="' . $subbookmark->link_description . '" rel="' . $subbookmark->link_rel . '">' . $subbookmark->link_name . '</a></li>';
		endforeach;
		$menu .= '</ul></li>';
    	}
 
	endforeach;
	$menu .= '</ul></div>';
 
	return $menu;
}
add_filter('wp_page_menu', 'stagi_bookmark_menu');
 
?>